(function() {
	var Realmac = Realmac || {};

	Realmac.meta = {
		
		// Set the browser title
		//
		// @var String text
		setTitle: function(text) {
			return document.title = text;
		},
		
		// Set the content attribute of a meta tag
		//
		// @var String name
		// @var String content
		setTagContent: function(tag, content){
			// If the tag being set is title
			// return the result of setTitle
			if ( tag === 'title' )
			{
				return this.setTitle(content);
			}
			
			// Otherwise try and find the meta tag
			var tag = this.getTag(tag);
			
			// If we have a tag, set the content
			if ( tag !== false )
			{
				return tag.setAttribute('content', content);
			}
			
			return false;
		},
		
		// Find a meta tag
		//
		// @var String name
		getTag: function(name) {
			var meta = document.querySelectorAll('meta');
			
			for ( var i=0; i<meta.length; i++ )
			{
				if (meta[i].name == name){
					return meta[i];
				}
			}
			
			var tag = document.createElement('meta');
			tag.name = name;
			document.getElementsByTagName('head')[0].appendChild(tag);
			
			return tag;
		}
	};
 
	// Object containing all website meta info
	var websiteMeta = {"tag-ios-.php":"Posts tagged &ldquo;ios &rdquo;","tag-apple-.php":"Posts tagged &ldquo;apple &rdquo;","tag-testing.php":"Posts tagged &ldquo;testing&rdquo;","category-w.php":"A list of posts in category &ldquo;W&rdquo;","category-uex.php":"A list of posts in category &ldquo;UEX&rdquo;","tag-e2e-automation-tool-.php":"Posts tagged &ldquo;E2E automation tool &rdquo;","tag-iphone-.php":"Posts tagged &ldquo;iphone &rdquo;","tag-vowifi.php":"Posts tagged &ldquo;vowifi&rdquo;","tag-google-.php":"Posts tagged &ldquo;google &rdquo;","tag-cloud.php":"Posts tagged &ldquo;cloud&rdquo;","tag-uex-.php":"Posts tagged &ldquo;uex &rdquo;","tag-andriod.php":"Posts tagged &ldquo;andriod&rdquo;","tag-cloud-.php":"Posts tagged &ldquo;cloud &rdquo;","category-updates.php":"A list of posts in category &ldquo;UPDATES&rdquo;","tag-volte-.php":"Posts tagged &ldquo;volte &rdquo;","tag-5g.php":"Posts tagged &ldquo;5g&rdquo;","tag-4g.php":"Posts tagged &ldquo;4g&rdquo;","tag-3g.php":"Posts tagged &ldquo;3g&rdquo;","tag-test-automation.php":"Posts tagged &ldquo;test automation&rdquo;","tag-voip-.php":"Posts tagged &ldquo;voip &rdquo;"};
 
	// pageId must match the key in websiteMeta object
	var url = window.location.pathname;
	var pageId = url.substring(url.lastIndexOf('/')+1);
	if (!pageId || pageId.length == 0){
		pageId = 'index.html';
	}
	pageMeta = websiteMeta[pageId];
 
	// If we have meta for this page
	if (pageMeta){
		Realmac.meta.setTagContent('description', pageMeta);
	}
 
 })();